<list-template titleList="Noticias" #list [load]="service.loading | async" [service]="service">
    <ng-container content-type="search-filter">
      <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[0]"></search-bar>
    </ng-container>
    <table class="table table-striped table-bordered">
      <thead [class.border-bottom]="service.loading | async">
        <tr>
          <th>Titulo</th>
          <th>Creado</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let c of service.data">
          <td><b>{{ c.Titulo }}</b></td>
          <td>{{ c.CreateDate || '--' }}</td>
          <td class="table-action">
            <button class="btn btn-sm btn-info" (click)="list.onEdit(c)">
              <i class="mdi mdi-lead-pencil"></i>
            </button>
            <button class="btn btn-sm btn-danger" (click)="list.onDelete(c)">
              <i class="mdi mdi-delete"></i>
            </button>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
            <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                No Hay Registros
            </td>
        </tr>
      </tfoot>
    </table>
  </list-template>
  
  <ng-template #form>
    <app-area-comun-form></app-area-comun-form>
  </ng-template>
  